#!/usr/bin/env python
# -*- coding: UTF-8 -*-
import os
import sys
import shutil
import datetime
import wnf_tools
import wnf_desktopkalender_object

#Das ist die Standard-Ini-Datei des Entwicklers
#Der Anwender sollte seine Ini-Datei als  Parameter übergeben
IniDatei = "/wnfdaten/wine/Eigene_Dateien/wnfDesktopKalender/wnfDesktopKalender.ini"

def main(args):
    zpfad = os.environ["HOME"]
    zpfad = "%s/.wnfdesktopkalender" % (zpfad)
    if wnf_tools.forceDir(zpfad):
        d = datetime.date.today()
        #d = d + datetime.timedelta(days=1)
        t=wnf_desktopkalender_object.TwnfDesktopKalender(d)
        print t.caption
        #Entweder das Inifile wird als erster Parameter übegeben
        ini=wnf_tools.paramStr(args,1)
        if ini=="":
            #oder es wird das Standard Ini-File verwendet
            ini = IniDatei
        print "Auswerten von ",ini
        if t.lesen(ini):
            if t.GrafikV=="":
                print "Es wird keine wechselnde Hintergrundgrafik verwendet. Linux_GrafikV ist leer"
            else:
                print "Es wird eine Hintergrundgrafik aus dem Verzeichnis Linux_GrafikV verwendet."

            if t.GrafikD=="":
                print "Es wird keine Hintergrundgrafik verwendet. Linux_GrafikD ist leer"
            if t.TextFont=="":
                print "Es wird kein Textfont verwendet. Linux_TextFont ist leer"
            wallpaper = "%s/wnfdesktopkalender.png" % (zpfad)
            print "Erstellen von ",wallpaper
            t.ausgabe_png(wallpaper)
        else:
            print "Die Datei %s existiert nicht." % ini
    else:
        print "Keine Zugriffsrechte auf das Verzeichnis %s " % (zpfad)

if __name__ == "__main__":
    main(sys.argv)
